#ifndef __assets_html
#define __assets_html

#include <pgmspace.h>

const char EmbeddedIndex[] PROGMEM = 
  "<!DOCTYPE html><html><head><meta charset=\"UTF-8\"><title></title><meta name=\"theme-color\" content"
  "=\"#000000\"><meta name=\"viewport\" content=\"width=device-width,initial-scale=1\"><link rel=\"styl"
  "esheet\" href=\"bundle.css\"><script src=\"bundle.js\"></script></head><body><div id=\"app\"><div v-"
  "cloak><div id=\"container\"><div class=\"header\"><img src=\"data:image/png;base64,iVBORw0KGgoAAAANS"
  "UhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAXBJREFUeNrsWdENgjAQL"
  "cYBcAPcACdQN4AN2MC4gRsYJ9ENdAPYADaADepdUhM1qFjurgp9ScMHgd713V3ftUp5eHgMF1rrGEau6VHD2HMbH5qJOLHra+fkz"
  "bsYRshM8pLTgUIgSgvuMMoYw+iMYTr6QhNYMrNiNywILlyVKdcyyPsmcRsyU50kgHtQQu2AdNJFpDkAK4I/LIWMb2AsIBcq0iRGe"
  "QGPTZfV6QE0+gDGF2rosGEgMQxIAhnZAiPN84upRf0/OlpsLCBp3yq0chgtCUUZrRw6QDO3EWHSqF9tarZaSKJXeJDdbQlsE0KD6"
  "JN/KoRsGhxXKClCKHJIfkThwMWhA6dBSolRijkJOd1ZUv9yQ9OpqbHpiaUVaEbZE7tIIjoBKXysos1c4V8ebLEdbv2bcMsE7gjuB"
  "dvXRSJ4F+/wqIXXrIGwmX3zwacLDheNO91OjLQKd14VMDCnYgCxVjI3NTe1mSoPD49x4SrAAG9qPn4eovCMAAAAAElFTkSuQmCC"
  "\"><h1>{{ $t('title') }}</h1><h2>{{ version.systemID !== null ? $t('systemID') + ': ' + version.syst"
  "emID : '' }}</h2><div class=\"wifistatus\"><div class=\"connection\"><div class=\"indicator\" :data-"
  "status=\"wifiStatus.ap.enabled ? 'connected' : 'disconnected'\"></div>{{ $t('wifiStatus.accesspoint."
  "title') }} {{ wifiStatus.ap.enabled ? wifiStatus.ap.ip : $t('wifiStatus.accesspoint.disabled') }}</d"
  "iv><div class=\"connection\"><div class=\"indicator\" :data-status=\"getWiFiStationStatus()\"></div>"
  "{{ $t('wifiStatus.stationmode.title') }} {{ getWiFiStationStatusText() }}</div></div></div><div v-if"
  "=\"loading\" class=\"loading\">{{ $t('loading') }} {{ loadingIndicator }}</div><div v-if=\"!loading"
  "\"><div class=\"tabs\"><button class=\"button\" :class=\"{ 'button-outline': activeTab != 'status' }"
  "\" @click=\"activeTab = 'status'\">{{ $t('status.tabTitle') }}</button> <button class=\"button\" :cl"
  "ass=\"{ 'button-outline': activeTab != 'triggers' }\" @click=\"activeTab = 'triggers'\">{{ $t('trigg"
  "ers.tabTitle') }}</button> <button class=\"button\" :class=\"{ 'button-outline': activeTab != 'conne"
  "ction' }\" @click=\"activeTab = 'connection'\">{{ $t('connection.tabTitle') }}</button></div><div v-"
  "if=\"activeTab == 'status'\"><h3>{{ $t('status.title') }}</h3><div class=\"slidecontainer\" v-for=\""
  "(step, index) in steps\">{{ index + 1 }} <input type=\"range\" min=\"0\" max=\"100\" class=\"slider"
  "\" v-model=\"step.value\"> {{ step.value }}</div></div><div v-if=\"activeTab == 'triggers'\"><form @"
  "submit.prevent=\"applyTriggers\"><fieldset><h3>{{ $t('triggers.timeTitle') }}</h3></fieldset><fields"
  "et><h3>{{ $t('triggers.motionTitle') }}</h3></fieldset></form></div><div v-if=\"activeTab == 'connec"
  "tion'\"><form @submit.prevent=\"applyConnection\"><fieldset><h3>{{ $t('connection.title') }}</h3><in"
  "put type=\"checkbox\" id=\"accesspoint\" v-model=\"connection.accesspoint\"><label class=\"label-inl"
  "ine\" for=\"accesspoint\">{{ $t('connection.accesspoint') }}</label><span class=\"hint\">{{ $t('conn"
  "ection.accesspointHint') }}</span> <input type=\"checkbox\" id=\"station\" v-model=\"connection.stat"
  "ion\"><label class=\"label-inline\" for=\"station\">{{ $t('connection.stationmode') }}</label><span "
  "class=\"hint\">{{ $t('connection.stationmodeHint') }}</span><label for=\"ssid\">{{ $t('connection.ss"
  "id') }}</label><input type=\"text\" id=\"ssid\" v-model=\"connection.ssid\" :disabled=\"!connection."
  "station\"><label for=\"password\">{{ $t('connection.password') }}</label><input type=\"password\" id"
  "=\"password\" v-model=\"connection.password\" :disabled=\"!connection.station\"> <input type=\"check"
  "box\" id=\"dhcp\" v-model=\"connection.dhcp\" :disabled=\"!connection.station\"><label class=\"label"
  "-inline\" for=\"dhcp\">{{ $t('connection.dhcp') }}</label><span class=\"hint\">{{ $t('connection.dhc"
  "pHint') }}</span><div class=\"suboptions\"><label for=\"ip\">{{ $t('connection.ipaddress') }}</label"
  "><input type=\"text\" id=\"ip\" v-model=\"connection.ip\" :disabled=\"!connection.station || connect"
  "ion.dhcp\"><label for=\"subnetmask\">{{ $t('connection.subnetmask') }}</label><input type=\"text\" i"
  "d=\"subnetmask\" v-model=\"connection.subnetmask\" :disabled=\"!connection.station || connection.dhc"
  "p\"><label for=\"gateway\">{{ $t('connection.gateway') }}</label><input type=\"text\" id=\"gateway\""
  " v-model=\"connection.gateway\" :disabled=\"!connection.station || connection.dhcp\"></div><label fo"
  "r=\"hostname\">{{ $t('connection.hostname') }}</label><input type=\"text\" :placeholder=\"$t('connec"
  "tion.hostnamePlaceholder')\" id=\"hostname\" v-model=\"connection.hostname\" :disabled=\"!connection"
  ".station\"><div class=\"buttons\"><input class=\"button-primary\" type=\"submit\" :disabled=\"saving"
  "\" :value=\"saving ? $t('applyButtonSaving') : $t('applyButton')\"></div></fieldset></form></div></d"
  "iv><div class=\"clearfix\"></div></div><div class=\"version\">{{ $t('copyright') }}<br>{{ version.ve"
  "rsion !== null ? $t('firmwareVersion') + version.version : '' }}</div></div></div><script language="
  "\"javascript\">console.log(\"Initializing...\"),startApp()</script></body></html>";

#endif
